Package io.papermc.paper.event.player

# Class PlayerLoomPatternSelectEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.PlayerLoomPatternSelectEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerLoomPatternSelectEvent extends PlayerEvent implements Cancellable
Called when a player selects a banner patten in a loom inventory.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerLoomPatternSelectEvent(@NotNull Player player, @NotNull LoomInventory loomInventory, @NotNull PatternType patternType)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull LoomInventory`
`getLoomInventory()`
Gets the loom inventory involved.
`@NotNull PatternType`
`getPatternType()`
Gets the pattern type selected.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setPatternType(@NotNull PatternType patternType)`
Sets the pattern type selected.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerLoomPatternSelectEvent

public PlayerLoomPatternSelectEvent(@NotNull @NotNull Player player, @NotNull @NotNull LoomInventory loomInventory, @NotNull @NotNull PatternType patternType)

## Method Details

### getLoomInventory

@NotNull public @NotNull LoomInventory getLoomInventory()
Gets the loom inventory involved.

Returns:
  the loom inventory

### getPatternType

@NotNull public @NotNull PatternType getPatternType()
Gets the pattern type selected.

Returns:
  the pattern type

### setPatternType

public void setPatternType(@NotNull @NotNull PatternType patternType)
Sets the pattern type selected.

Parameters:
  `patternType` - the pattern type

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()